Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
(SOLVED) VDR auf Raspberry Pi, Abhängigkeiten
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
oma
Guru
Guru


Joined: 17 Feb 2004
Posts: 302
Location: /home/markus/heiligenhaus

PostPosted: Sat Oct 12, 2013 7:55 pm    Post subject: (SOLVED) VDR auf Raspberry Pi, Abhängigkeiten Reply with quote

Hi Leute,

länger nicht mehr hier im Forum gewesen :-)
Ich habe heute versucht einen vdr auf meinem Rasperry Pi unter Gentoo zu installieren - nein, eine andere Distro wollte ich nicht :-)
Ich habe zuerst Gentoo nach Anleitung installiert und bis auf ein paar Probleme läuft das auch prima. Crosscompiling fällt leider aus verschiedenen Gründen aus, ist aber nicht schlimm - der Pi verbraucht ja nicht so viel Strom. Dummerweise stimmt irgendwas in meinen USE Flags nicht so dass der "emerge vdr" schonmal nicht läuft. Hier meine USA Flags aus der make.conf:
Code:
gentoovdr bin # cat /etc/portage/make.conf
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-O2 -pipe -march=armv6j -mfpu=vfp -mfloat-abi=hard"
CXXFLAGS="${CFLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="armv6j-hardfloat-linux-gnueabi"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
# USE="bindist -kde -vmware -X"

ACCEPT_KEYWORDS="arm ~arm"

USE="mysql unicode -oss -alsa -apm -arts -avi -cups -encode -foomaticdb -gpm -gtk -gtk2 -imlib -kde -gnome -libg++ -mad -mikmod -motif -mpeg -oggvorbis -opengl -qt -quicktime -sdl -svga -truetype -X -xmms -xv"
# FEATURES="distcc"

# Set PORTDIR for backward compatibility with various tools:
#   gentoo-bashcomp - bug #478444
#   euse - bug #474574
#   euses and ufed - bug #478318
PORTDIR="/usr/portage"
nach einem emerge vdr kommt dann jedoch:
Code:
gentoovdr ~ # emerge vdr
Calculating dependencies... done!


[ebuild  N     ] media-video/vdr-2.0.3  USE="-alternatechannel -bidi -ddepgentry -debug -dvlvidprefer (-dxr3) -graphtft -html -jumpingseconds -jumpplay -mainmenuhooks -menuorg -naludump -permashift -pinplugin -rotor -setup -ttxtsubs -vanilla -vasarajanauloja -wareagleicon -yaepg" 884 kB
[nomerge       ]  media-tv/gentoo-vdr-scripts-2.0.0  USE="(-nvram)"
[nomerge       ]   app-admin/sudo-1.8.8  USE="ldap nls pam sendmail -offensive (-selinux) -skey"
[nomerge       ]    dev-libs/cyrus-sasl-2.1.26-r3:2  USE="berkdb gdbm mysql pam ssl -authdaemond (-java) -kerberos -ldapdb -openldap -postgres -sample -sqlite -srp -static-libs -urandom"
[nomerge       ]     virtual/mysql-5.5  USE="-embedded -minimal -static"
[nomerge       ]      dev-db/mysql-5.5.32  USE="community ssl {test} -cluster -debug -embedded -extraengine -jemalloc -latin1 -max-idx-128 -minimal -perl -profiling (-selinux) -static -systemtap -tcmalloc"
[nomerge       ]       dev-util/cmake-2.8.11.2  USE="ncurses qt4 {test} -emacs (-qt5) -vim-syntax"
[nomerge       ]        dev-qt/qtgui-4.8.5-r1:4  USE="accessibility exceptions glib mng qt3support tiff (-aqua) -c++0x -cups -debug -egl -gtkstyle -nas -nis -pch -trace -xinerama -xv"
[ebuild  N     ]         dev-qt/qt3support-4.8.5:4  USE="accessibility exceptions (-aqua) -c++0x -debug -pch" 235,832 kB
[ebuild  N     ]          dev-qt/qtsql-4.8.5:4  USE="exceptions mysql qt3support sqlite (-aqua) -c++0x -debug (-firebird) -freetds (-oci8) -odbc -pch -postgres" 0 kB
[ebuild  N     ]      dev-db/mysql-5.5.32  USE="community ssl {test} -cluster -debug -embedded -extraengine -jemalloc -latin1 -max-idx-128 -minimal -perl -profiling (-selinux) -static -systemtap -tcmalloc" 25,457 kB
[ebuild  N     ]  media-tv/gentoo-vdr-scripts-2.0.0  USE="(-nvram)" 37 kB
[ebuild  N     ]   app-admin/sudo-1.8.8  USE="ldap nls pam sendmail -offensive (-selinux) -skey" 2,068 kB
[ebuild  N     ]    dev-libs/cyrus-sasl-2.1.26-r3:2  USE="berkdb gdbm mysql pam ssl -authdaemond (-java) -kerberos -ldapdb -openldap -postgres -sample -sqlite -srp -static-libs -urandom" 5,098 kB
[ebuild  N     ]     virtual/mysql-5.5  USE="-embedded -minimal -static" 0 kB
[nomerge       ] sys-fs/udev-init-scripts-26
[nomerge       ]  virtual/udev-206-r3 [200] USE="gudev* introspection* kmod (-selinux) -static-libs (-hwdb%) (-keymap%)"
[ebuild     U  ]   sys-fs/udev-208 [204] USE="acl firmware-loader gudev* introspection* kmod openrc -doc (-selinux) -static-libs (-hwdb%) (-keymap%)" 2,328 kB
[ebuild  N     ]    sys-apps/hwids-20130915.1  USE="udev" 1,535 kB
[ebuild     U  ]     virtual/udev-206-r3 [200] USE="gudev* introspection* kmod (-selinux) -static-libs (-hwdb%) (-keymap%)" 0 kB
[nomerge       ] x11-drivers/xf86-input-keyboard-1.7.0
[nomerge       ]  x11-base/xorg-server-1.14.3-r2:0/1.14.3  USE="ipv6 nptl suid udev xorg xvfb -dmx -doc -kdrive -minimal (-selinux) -static-libs -tslib -xnest"
[nomerge       ]   x11-base/xorg-drivers-1.14  INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -elographics -fpit -hyperpen -joystick -mutouch -penmount -synaptics -tslib (-vmmouse) -void (-wacom)" VIDEO_CARDS="dummy fbdev omap omapfb v4l (-apm) (-ast) (-chips) (-cirrus) -epson (-fglrx) (-geode) (-glint) (-i128) (-i740) (-intel) (-mach64) (-mga) -modesetting (-neomagic) (-nouveau) (-nv) (-nvidia) (-qxl) (-r128) (-radeon) (-radeonsi) (-rendition) (-s3virge) (-savage) (-siliconmotion) -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) (-tdfx) (-tga) (-trident) (-tseng) (-vesa) (-via) (-virtualbox) (-vmware) (-voodoo)"
[ebuild  N     ]    x11-drivers/xf86-video-dummy-0.3.7  USE="-dga" 274 kB
[ebuild  N     ]    x11-drivers/xf86-video-fbdev-0.4.4  287 kB
[ebuild  N     ]    x11-drivers/xf86-video-omapfb-0.1.1_p3  25 kB
[ebuild  N     ]    x11-drivers/xf86-video-omap-0.4.3  309 kB
[ebuild  N     ]     x11-libs/libpciaccess-0.13.2  USE="zlib -minimal -static-libs" 351 kB
[nomerge       ] sys-fs/udev-208 [204] USE="acl firmware-loader gudev* introspection* kmod openrc -doc (-selinux) -static-libs (-hwdb%) (-keymap%)"
[ebuild  N     ]  dev-libs/gobject-introspection-1.36.0-r1  USE="cairo {test} -doctool" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" 1,173 kB
[ebuild     U  ]   dev-libs/glib-2.36.4-r1:2 [2.32.4-r1:2] USE="{test*} -debug (-fam) (-selinux) -static-libs (-systemtap) -utils -xattr" PYTHON_TARGETS="python2_7%* -python2_6%" 8,303 kB
[ebuild  N     ]    sys-apps/dbus-1.6.16  USE="{test} -X -debug -doc (-selinux) -static-libs -systemd" 1,903 kB
[nomerge       ] x11-base/xorg-drivers-1.14  INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -elographics -fpit -hyperpen -joystick -mutouch -penmount -synaptics -tslib (-vmmouse) -void (-wacom)" VIDEO_CARDS="dummy fbdev omap omapfb v4l (-apm) (-ast) (-chips) (-cirrus) -epson (-fglrx) (-geode) (-glint) (-i128) (-i740) (-intel) (-mach64) (-mga) -modesetting (-neomagic) (-nouveau) (-nv) (-nvidia) (-qxl) (-r128) (-radeon) (-radeonsi) (-rendition) (-s3virge) (-savage) (-siliconmotion) -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) (-tdfx) (-tga) (-trident) (-tseng) (-vesa) (-via) (-virtualbox) (-vmware) (-voodoo)"
[ebuild  N     ]  x11-drivers/xf86-video-v4l-0.2.0  USE="-debug" 239 kB
[ebuild  N     ]  x11-drivers/xf86-input-evdev-2.8.1  361 kB
[ebuild  N     ]  x11-drivers/xf86-input-mouse-1.9.0  346 kB
[ebuild  N     ]  x11-drivers/xf86-input-keyboard-1.7.0  312 kB
[ebuild  N     ] dev-util/cmake-2.8.11.2  USE="ncurses qt4 {test} -emacs (-qt5) -vim-syntax" 5,750 kB
[ebuild  N     ]  x11-base/xorg-server-1.14.3-r2:0/1.14.3  USE="ipv6 nptl suid udev xorg xvfb -dmx -doc -kdrive -minimal (-selinux) -static-libs -tslib -xnest" 5,374 kB

Total: 25 packages (3 upgrades, 22 new), Size of downloads: 298,237 kB

 * Error: circular dependencies:

(sys-fs/udev-208::gentoo, ebuild scheduled for merge) depends on
 (dev-libs/gobject-introspection-1.36.0-r1::gentoo, ebuild scheduled for merge) (buildtime)
  (dev-libs/glib-2.36.4-r1::gentoo, ebuild scheduled for merge) (buildtime)
   (x11-base/xorg-server-1.14.3-r2::gentoo, ebuild scheduled for merge) (buildtime)
    (virtual/udev-206-r3::gentoo, ebuild scheduled for merge) (buildtime)
     (sys-fs/udev-208::gentoo, ebuild scheduled for merge) (runtime)

It might be possible to break this cycle
by applying any of the following changes:
- sys-fs/udev-208 (Change USE: -introspection)
 (This change might require USE changes on parent packages.)- dev-libs/glib-2.36.4-r1 (Change USE: -test)

Note that this change can be reverted, once the package has been installed.

Note that the dependency graph contains a lot of cycles.
Several changes might be required to resolve all cycles.
Temporarily changing some use flag for all packages might be the better option.

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-libs/zlib:0

  (sys-libs/zlib-1.2.8-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-libs/zlib-1.2.8-r1:=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?] required by (media-libs/libpng-1.6.6::gentoo, ebuild scheduled for merge)

  (sys-libs/zlib-1.2.7::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

dev-libs/libxml2:2

  (dev-libs/libxml2-2.9.1-r1::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libxml2[python,python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] required by (media-libs/mesa-9.2.0-r1::gentoo, ebuild scheduled for merge)

  (dev-libs/libxml2-2.9.1-r1::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

dev-libs/glib:2

  (dev-libs/glib-2.32.4-r1::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/glib-2.36.4-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/glib-2.36.4:2 required by (dev-util/gdbus-codegen-2.36.4-r1::gentoo, ebuild scheduled for merge)
    (and 1 more with the same problem)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by sys-apps/dbus-1.6.16[test]
# required by dev-libs/glib-2.36.4-r1[test]
# required by dev-libs/gobject-introspection-1.36.0-r1
# required by sys-fs/udev-208[introspection]
# required by virtual/udev-206-r3
# required by sys-apps/hwids-20130915.1
# required by x11-libs/libpciaccess-0.13.2
# required by x11-drivers/xf86-video-fbdev-0.4.4
# required by x11-base/xorg-drivers-1.14[video_cards_fbdev]
>=x11-base/xorg-server-1.14.3-r2 xvfb

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.
Warum auch immer er den xserver ziehen will verstehe ich nicht - brauchen tu ich den jedenfalls nicht (und ist ja auch in den USE Flags eigentlich raus) denn ich will den als headless vdr nur mit live und xvdr plugin betreiben.
Was mache ich falsch - ich schätze es ist nur eine Kleinigkeit...

Gruß aus Heiligenhaus
Oma
_________________
"...ich bin Guybrush Threepwood - ein mächtiger Pirat!"


Last edited by oma on Mon Oct 14, 2013 6:04 am; edited 2 times in total
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1001

PostPosted: Sat Oct 12, 2013 9:57 pm    Post subject: Reply with quote

Code:
 dev-util/cmake-2.8.11.2  USE="ncurses qt4 {test} -emacs (-qt5) -vim-syntax"

das hier zieht möglicherweise den xserver. versuch mal qt4 zu deaktivieren.
Back to top
View user's profile Send private message
oma
Guru
Guru


Joined: 17 Feb 2004
Posts: 302
Location: /home/markus/heiligenhaus

PostPosted: Sun Oct 13, 2013 12:04 am    Post subject: Reply with quote

Hab's getestet, das ist es leider nicht - exakt dasselbe Problem...
_________________
"...ich bin Guybrush Threepwood - ein mächtiger Pirat!"
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2288
Location: Germany

PostPosted: Sun Oct 13, 2013 12:28 am    Post subject: Reply with quote

Hm, nur ein blinder Schuss in die schwarze Nacht ;)
Sofern nicht zwingend benötigt würde ich das global gesetzte USE=mysql zunächst erst mal raus lassen.
Und schau auch mal was für ein Profil gesetzt ist, eventuell ist eines verfügbar in dem weniger global gesetzte default-Flags verwendet werden. Poste ansonsten auch mal die "emerge --info"
Zudem könntest du noch x11-base/xorg-server hart maskieren, dann sollte portage auch ein wenig gesprächiger werden. Und nimm am besten auch --deep und --newuse mit hinzu, also zb "emerge -avuDNt world vdr"
Back to top
View user's profile Send private message
oma
Guru
Guru


Joined: 17 Feb 2004
Posts: 302
Location: /home/markus/heiligenhaus

PostPosted: Sun Oct 13, 2013 10:51 am    Post subject: Reply with quote

Danke für Eure Ideen. Habe das heute morgen mal den xserver in package.mask maskiert und folgendermaßen versucht die Installation zu beginnen:
Code:
gentoovdr ~ # USE="-introspection" emerge -avuDNt world vdr
und ich poste nur die untere (wichtige Ausgabe von Portale:
Code:
...Total: 230 packages (78 upgrades, 144 new, 5 in new slots, 3 reinstalls), Size of downloads: 383,510 kB
Conflict: 2 blocks

The following mask changes are necessary to proceed:
 (see "package.unmask" in the portage(5) man page for more details)
# required by x11-drivers/xf86-input-evdev-2.8.1
# required by x11-base/xorg-drivers-1.14[input_devices_evdev]
# /etc/portage/package.mask:
=x11-base/xorg-server-1.14.3-r2

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by sys-apps/dbus-1.6.16[test]
# required by dev-libs/glib-2.36.4-r1[test]
# required by sys-fs/udev-208[gudev]
# required by virtual/udev-206-r3
# required by sys-apps/util-linux-2.23.2-r2[udev]
# required by x11-libs/libSM-1.2.2[uuid]
# required by x11-libs/libXt-1.1.4
# required by x11-libs/libXmu-1.1.2
# required by x11-apps/xhost-1.0.6
>=x11-base/xorg-server-1.14.3-r2 xvfb

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.
ein emerge --info sieht folgermaßen aus:
Code:
gentoovdr ~ # emerge --info
Portage 2.2.1 (default/linux/arm/13.0/armv6j/developer, gcc-4.6.3, glibc-2.15-r3, 3.6.11+ armv6l)
=================================================================
System uname: Linux-3.6.11+-armv6l-ARMv6-compatible_processor_rev_7_-v6l-with-gentoo-2.2
KiB Mem:      448736 total,    329008 free
KiB Swap:     119896 total,    119896 free
Timestamp of tree: Sat, 12 Oct 2013 14:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
distcc 3.1 armv6j-hardfloat-linux-gnueabi [disabled]
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.5, 3.2.5-r1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.12.6
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo
ACCEPT_KEYWORDS="arm ~arm"
ACCEPT_LICENSE="* -@EULA"
CBUILD="armv6j-hardfloat-linux-gnueabi"
CFLAGS="-O2 -pipe -march=armv6j -mfpu=vfp -mfloat-abi=hard"
CHOST="armv6j-hardfloat-linux-gnueabi"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=armv6j -mfpu=vfp -mfloat-abi=hard"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe -march=armv6j"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms sign splitdebug strict test test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe -march=armv6j"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
USE="a52 aac acl acpi arm berkdb bluetooth bzip2 cairo cdda cdr cli consolekit cracklib crypt cxx dbus dri dts dvdr emboss exif fam firefox flac fortran gdbm gif iconv ipv6 jpeg lcms ldap libkms libnotify mng modules mp3 mp4 mpeg mudflap ncurses nls nptl ogg openmp pam pango pcre pdf png policykit ppds qt3support readline session snmp spell ssl startup-notification svg tcpd tiff udev udisks unicode upower usb vorbis wxwidgets xcb xml xvid zlib" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="exynos fbdev omap omapfb dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
und bezüglich des Profiles:
Code:
gentoovdr ~ # eselect profile list
Available profile symlink targets:
  [1]   default/linux/arm/13.0
  [2]   default/linux/arm/13.0/desktop
  [3]   default/linux/arm/13.0/desktop/gnome
  [4]   default/linux/arm/13.0/desktop/gnome/systemd
  [5]   default/linux/arm/13.0/desktop/kde
  [6]   default/linux/arm/13.0/developer
  [7]   default/linux/arm/13.0/armv4
  [8]   default/linux/arm/13.0/armv4/desktop
  [9]   default/linux/arm/13.0/armv4/desktop/gnome
  [10]  default/linux/arm/13.0/armv4/desktop/kde
  [11]  default/linux/arm/13.0/armv4/developer
  [12]  default/linux/arm/13.0/armv4t
  [13]  default/linux/arm/13.0/armv4t/desktop
  [14]  default/linux/arm/13.0/armv4t/desktop/gnome
  [15]  default/linux/arm/13.0/armv4t/desktop/kde
  [16]  default/linux/arm/13.0/armv4t/developer
  [17]  default/linux/arm/13.0/armv5te
  [18]  default/linux/arm/13.0/armv5te/desktop
  [19]  default/linux/arm/13.0/armv5te/desktop/gnome
  [20]  default/linux/arm/13.0/armv5te/desktop/kde
  [21]  default/linux/arm/13.0/armv5te/developer
  [22]  default/linux/arm/13.0/armv6j
  [23]  default/linux/arm/13.0/armv6j/desktop
  [24]  default/linux/arm/13.0/armv6j/desktop/gnome
  [25]  default/linux/arm/13.0/armv6j/desktop/kde
  [26]  default/linux/arm/13.0/armv6j/developer *
  [27]  default/linux/arm/13.0/armv7a
  [28]  default/linux/arm/13.0/armv7a/desktop
  [29]  default/linux/arm/13.0/armv7a/desktop/gnome
  [30]  default/linux/arm/13.0/armv7a/desktop/kde
  [31]  default/linux/arm/13.0/armv7a/developer
  [32]  hardened/linux/arm/armv7a
  [33]  hardened/linux/uclibc/arm/armv7a
Was mache ich denn hier wohl falsch ?!?
_________________
"...ich bin Guybrush Threepwood - ein mächtiger Pirat!"
Back to top
View user's profile Send private message
oma
Guru
Guru


Joined: 17 Feb 2004
Posts: 302
Location: /home/markus/heiligenhaus

PostPosted: Sun Oct 13, 2013 10:59 am    Post subject: Reply with quote

ich versuche das mal mit einem
Code:
gentoovdr ~ # eselect profile set 22
also einem weniger "speziellen" Profil - mal sehen was das wird...
_________________
"...ich bin Guybrush Threepwood - ein mächtiger Pirat!"
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1001

PostPosted: Sun Oct 13, 2013 12:14 pm    Post subject: Reply with quote

versuchen wir mal nicht alles auf einmal. mach erst mal ein update, ohne vdr zu installieren, also
Code:
emerge -avudNt world

falls das ohne problemeund ohne xorg-server geht, dann mach es, ansonsten poste mal bitte den ganzen output.
Back to top
View user's profile Send private message
oma
Guru
Guru


Joined: 17 Feb 2004
Posts: 302
Location: /home/markus/heiligenhaus

PostPosted: Sun Oct 13, 2013 3:05 pm    Post subject: Reply with quote

das mit dem Profilwechsel hat geholfen und ich konnte VDR kompilieren. Ich habe zur Sicherheit noch den
Code:
emerge -avudNt world
gemacht - keine Probleme. Leider bekomme ich nun beim kompilieren der plugins (hätte gern vdr-epgsearch vdr-xvdr vdr-femon vdr-live vdr-svdrposd vdr-streamdev drauf) folgendes:
Code:
gentoovdr log # emerge vdr-epgsearch
Calculating dependencies... done!
[ebuild  N     ] app-admin/eselect-vdr-0.0.3
[ebuild  N    *] media-plugins/vdr-epgsearch-1.0.0-r1  USE="pcre -tre" LINGUAS="-de"

The following keyword changes are necessary to proceed:
 (see "package.accept_keywords" in the portage(5) man page for more details)
# required by vdr-epgsearch (argument)
=media-plugins/vdr-epgsearch-1.0.0-r1 **

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.
was soll mir das genau sagen? Hier noch der Output von emerge --info:
Code:
gentoovdr log # emerge --info
Portage 2.2.1 (default/linux/arm/13.0/armv6j, gcc-4.6.3, glibc-2.15-r3, 3.6.11+ armv6l)
=================================================================
System uname: Linux-3.6.11+-armv6l-ARMv6-compatible_processor_rev_7_-v6l-with-gentoo-2.2
KiB Mem:      448736 total,    150916 free
KiB Swap:     119896 total,    119896 free
Timestamp of tree: Sat, 12 Oct 2013 14:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
distcc 3.1 armv6j-hardfloat-linux-gnueabi [disabled]
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.5, 3.2.5-r1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.12.6
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo
ACCEPT_KEYWORDS="arm ~arm"
ACCEPT_LICENSE="* -@EULA"
CBUILD="armv6j-hardfloat-linux-gnueabi"
CFLAGS="-O2 -pipe -march=armv6j -mfpu=vfp -mfloat-abi=hard"
CHOST="armv6j-hardfloat-linux-gnueabi"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=armv6j -mfpu=vfp -mfloat-abi=hard"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe -march=armv6j"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe -march=armv6j"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
USE="acl arm berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 libkms modules mudflap ncurses nls nptl openmp pam pcre readline session ssl tcpd unicode zlib" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="exynos fbdev omap omapfb dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Ich hoffe da hat nochmal jemand einen Tipp für mich...Besten Dank vorab.
_________________
"...ich bin Guybrush Threepwood - ein mächtiger Pirat!"
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1001

PostPosted: Sun Oct 13, 2013 3:32 pm    Post subject: Reply with quote

das heißt, das paket epgsearch ist keyword masked. das ist aber nix schlimmes. heißt einfach nur, dass die gentoo entwickler noch nicht hundertprozentig geprüft und freigegeben haben. in aller regel kann man das aber trotzdem ohne probleme installieren.
dazu musst du was in die /etc/portage/package.accept_keywords eintragen:
Code:
=media-plugins/vdr-epgsearch-1.0.0-r1 **


nach belieben kannst du die versions angabe weglassen, dann gilt das nicht nur für die eine sondern für alle versionen.
Back to top
View user's profile Send private message
oma
Guru
Guru


Joined: 17 Feb 2004
Posts: 302
Location: /home/markus/heiligenhaus

PostPosted: Mon Oct 14, 2013 6:04 am    Post subject: (SOLVED) VDR auf Raspberry Pi, Abhängigkeiten Reply with quote

alles klar. Hab es eingetragen und nu kompiliert er. Ich mach das Thema erst einmal zu, besten Dank an alle...
_________________
"...ich bin Guybrush Threepwood - ein mächtiger Pirat!"
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum